Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Recyclable_Handler_Cleanup_Strategy< KEY, VALUE, CONTAINER > Class Template Reference

Defines a strategy to be followed for cleaning up entries which are svc_handlers from a container. More...

`#include <Cleanup_Strategies_T.h>`

Inheritance diagram for ACE_Recyclable_Handler_Cleanup_Strategy< KEY, VALUE, CONTAINER >:

[legend]
Collaboration diagram for ACE_Recyclable_Handler_Cleanup_Strategy< KEY, VALUE, CONTAINER >:

[legend]
List of all members.

## Public Member Functions
virtual int | cleanup (CONTAINER &container, KEY *key, VALUE *value)
| The method which will do the cleanup of the entry in the container.

## Detailed Description

### template<class KEY, class VALUE, class CONTAINER>
class ACE_Recyclable_Handler_Cleanup_Strategy< KEY, VALUE, CONTAINER >

Defines a strategy to be followed for cleaning up entries which are svc_handlers from a container.

The entry to be cleaned up is removed from the container. Here, since we are dealing with svc_handlers specifically, we perform a couple of extra operations.

Note:
  To be used when the handler is recyclable.

## Member Function Documentation

template<class KEY, class VALUE, class CONTAINER>
int ACE_Recyclable_Handler_Cleanup_Strategy< KEY, VALUE, CONTAINER >::cleanup | ( | CONTAINER & | container,
|  | KEY * | key,
|  | VALUE * | value
| ) | `[virtual]`

| The method which will do the cleanup of the entry in the container. Reimplemented from ACE_Cleanup_Strategy< KEY, VALUE, CONTAINER >.

The documentation for this class was generated from the following files:

- Cleanup_Strategies_T.h
- Cleanup_Strategies_T.cpp